#pragma once

#include "Vector2.hpp"

namespace TSE
{
    class ITexture
    {
    public:
        virtual ~ITexture() = default;
        virtual Vector2 size() const = 0;
        virtual float width() const = 0;
        virtual float height() const = 0;
        virtual uint GetTextureId() const = 0;
    };
} // namespace TSE
